
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Bug #2120

MZ Change signatures under review details

08/24/2016 11:16 AM - Oleksii Kurasov

Status: Closed Start date: 08/24/2016

Priority: Immediate Due date: 08/25/2016

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

See Attachment

History

#1 - 08/29/2016 01:45 AM - Oleksii Kurasov

- Status changed from New to Resolved

#2 - 09/02/2016 02:56 AM - Oleksii Kurasov

- Status changed from Resolved to Closed

Files

Requests from Test 24-08-16 Review Report.docx 136 KB 08/24/2016 Oleksii Kurasov
